Flutter 安装和环境配置

下载 Flutter SDK

本篇文章编写时,最新的稳定版本为:1.20.2-stable点击下载)。

如果需要其他版本,请打开Flutter SDK 版本列表,选择自己需要的版本进行下载。

将下载的文件解压到目标路径

这个路径可以依据您的喜好进行设置,可以放在 ~/,也可以放在其他位置。

设置环境变量

  1. 打开或创建您使用的 shellrc 文件,比如 ~/.bashrc~/zshrc

  2. 进入到上面解压后的文件夹中,找到 bin 文件夹,复制他的路径,如:~/flutter/bin

  3. 将下面代码添加到您使用的 rc 文件中,其中 [BIN_PATH_TO_FLUTTER_GIT_DIRECTORY] 替换为上面复制的 bin 文件夹路径

    export PATH="$PATH:[BIN_PATH_TO_FLUTTER_GIT_DIRECTORY]"
  4. 对您的 rc 文件执行一次 source 命令,比如 source ~/.bashrc

  5. 验证 flutter 命令是否可用

    which flutter

注意: 如果第五步中,终端中显示 flutter not found,则表示环境变量添加失败。检查一下第三部中的路径是否正确填写。比较常见的一个错误就是 ~ 没有用 $HOME 代替。

检查是否需要安装其他依赖

运行 flutter doctor 检查是否需要安装其他依赖。这个命令会检查你当前的配置环境,并在命令行窗口中生成一份报告。安装 Flutter 会附带安装 Dart SDK,所以不需要再对 Dart 进行单独安装。你需要仔细阅读上述命令生成的报告,看看别漏了一些需要安装的依赖,或者需要之后执行的命令(这个会以 加粗的文本 显示出来)。然后按提示安装即可。

Title: Flutter 安装和环境配置

Date: 2020.08.24

Author: zhangpeng

Github: https://github.com/fullstack-zhangpeng